Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Interface IWriteResponseHandler

All Superinterfaces:
  IAsyncCallback, IMessageCallback

All Known Implementing Classes:
  AbstractWriteResponseHandler, DatacenterSyncWriteResponseHandler, DatacenterWriteResponseHandler, WriteResponseHandler

    public interface IWriteResponseHandler

extends IAsyncCallback

Method Summary
`void` | `assureSufficientLiveNodes()`
`void` | `get()`

Methods inherited from interface org.apache.cassandra.net.IAsyncCallback
`response`

Methods inherited from interface org.apache.cassandra.net.IMessageCallback
`isLatencyForSnitch`

Method Detail

### get

    void get()
             throws java.util.concurrent.TimeoutException

  Throws:
    `java.util.concurrent.TimeoutException`

### assureSufficientLiveNodes

    void assureSufficientLiveNodes()
                                   throws UnavailableException

  Throws:
    `UnavailableException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation